﻿@Imports TestSyncfusionGridEditor.TestSyncfusionGridEditor
@ModelType IEnumerable(Of TestSyncfusionGridEditor.TestSyncfusionGridEditor.Controllers.test)
@Code
    ViewData("Title") = "Grid"
    Layout = "~/Views/Shared/_Layout.vbhtml"
End Code
<h2>GridFeatures</h2>
<li> Filtering</li>
<li> Sorting</li>
<li> Paging</li>
<li> Grouping</li>
<li> Selection - Single</li>
<li> Column Resizing</li>
<li> RTL</li>
<li> Summary</li>
<li> Editing Type - Inline Editing</li>
<li> Localization - English</li>
<li> Theme - Flat-Azure</li>
<div id="ControlRegion">
    @Code
        Dim gridbuilder = Html.EJ().Grid(Of Object)("SampleGrid")
        'gridbuilder.Datasource(Model)
        gridbuilder.Datasource(Sub(ds) ds.Json(Model).UpdateURL("/Grid/CrudUpdate2").Adaptor(AdaptorType.RemoteSaveAdaptor))
        gridbuilder.EditSettings(Sub(edit) edit.AllowEditing().ShowConfirmDialog())
        gridbuilder.ClientSideEvents(Sub(client) client.ActionBegin("begin").ActionComplete("complete"))
        gridbuilder.SelectionType(SelectionType.Single)
        gridbuilder.AllowResizing()
        'gridbuilder.EnableRTL()   'RTL Enabled
        'gridbuilder.ShowSummary().
        gridbuilder.ToolbarSettings(Sub(tool)
                                        tool.ShowToolbar()
                                        tool.ToolbarItems(Sub(item)
                                                              item.AddTool(ToolBarItems.Add)
                                                              item.AddTool(ToolBarItems.Cancel)
                                                              item.AddTool(ToolBarItems.Delete)
                                                              item.AddTool(ToolBarItems.Edit)
                                                              item.AddTool(ToolBarItems.Update)
                                                          End Sub)
                                    End Sub)
        gridbuilder.EditSettings(
Sub(edit)
    edit.AllowAdding()
    edit.AllowDeleting()
    edit.AllowEditing()
End Sub)
        gridbuilder.Columns(
        Sub(col)
            col.Field("lnkID").HeaderText("LinkID").IsPrimaryKey(True).Width(75).Add()
            col.Field("lnkConID").HeaderText("Contract").Width(85).Add()
            col.Field("lnkTncID").HeaderText("Tenancy").Width(95).Add()
            col.Field("lnkActive").HeaderText("Active").Template("#ActiveYesNo").EditType(EditingType.Dropdown).Width(75).Add()
            col.Field("lnkDefault").HeaderText("Default").Template("#DefaultYesNo").EditType(EditingType.Dropdown).Width(75).Add()
            col.Field("conContractName").HeaderText("Contract Name").EditType(EditingType.Dropdown).Width(170).Add()
        End Sub)
        gridbuilder.Render()
    End Code
</div>
<script>
    function begin(args) {
        if (args.requestType == "add")
            {
            @*var dpDataSource = [{ value: 1, text: 'Yes' }, { value: 0, text: 'No' }];
            var dpDataSource2 = @Html.Raw(ViewBag.listJSON);
            $('#SampleGridlnkActive').ejDropDownList({ dataSource: dpDataSource, selectedIndex: 1 }); // set the new dropdown
            $('#SampleGridlnkDefault').ejDropDownList({ dataSource: dpDataSource, selectedIndex: 1 }); // set the new dropdown
            $('#SampleGridconContractName').ejDropDownList({ dataSource: dpDataSource2, selectedIndex: 0 }); // set the new dropdown*@

        }
        if (args.requestType == "save") {
            //populate the value into conID field
            $('#SampleGridconID').val = $('#SampleGridContractName').val;
        }

    }
    function complete(args) {
        if (args.requestType == "beginedit")
            {
            var dpDataSource = [{ value: 1, text: 'Yes' }, { value: 0, text: 'No' }];
            $('#SampleGridlnkActive').ejDropDownList({ dataSource: dpDataSource, selectedIndex: 1 }); // set the new dropdown
            $('#SampleGridlnkDefault').ejDropDownList({ dataSource: dpDataSource, selectedIndex: 1 }); // set the new dropdown

        }
        if (args.requestType == "add") {
                        var dpDataSource = [{ value: 1, text: 'Yes' }, { value: 0, text: 'No' }];
            var dpDataSource2 = @Html.Raw(ViewBag.listJSON);
            $('#SampleGridlnkActive').ejDropDownList({ dataSource: dpDataSource, selectedIndex: 1 }); // set the new dropdown
            $('#SampleGridlnkDefault').ejDropDownList({ dataSource: dpDataSource, selectedIndex: 1 }); // set the new dropdown
            $('#SampleGridconContractName').ejDropDownList({ dataSource: dpDataSource2, selectedIndex: 1 }); // set the new dropdown

        }
    }


</script>
<script type="text/x-jsrender" id="ActiveYesNo">

    {{if lnkActive==1}}
    Yes
    {{else}}
    No
    {{/if}}

</script>
<script type="text/x-jsrender" id="DefaultYesNo">

    {{if lnkDefault==1}}
    Yes
    {{else}}
    No
    {{/if}}

</script>